<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.0.7" xmlns:do3r="urn:customs.ru:Information:WarehouseDocuments:DO3Report:5.0.7" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.0.7" exclude-result-prefixes="catWH_ru cat_ru do3r">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<!--Шаблоны-->
	<xsl:template name="russian_date">
		<xsl:param name="dateIn"/>
		<xsl:choose>
			<xsl:when test="substring($dateIn,5,1)='-' and substring($dateIn,8,1)='-'">
				<xsl:value-of select="substring($dateIn,9,2)"/>.<xsl:value-of select="substring($dateIn,6,2)"/>.<xsl:value-of select="substring($dateIn,1,4)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$dateIn"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="russian_date_gtd">
		<xsl:param name="dateIn"/>
		<xsl:choose>
			<xsl:when test="substring($dateIn,5,1)='-' and substring($dateIn,8,1)='-'">
				<xsl:value-of select="substring($dateIn,9,2)"/>
				<xsl:value-of select="substring($dateIn,6,2)"/>
				<xsl:value-of select="substring($dateIn,3,2)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$dateIn"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="DO3_date">
		<xsl:param name="year"/>
		<!--xsl:value-of select="substring (., 7, 2)"/>&#160;-->
		<!--xsl:variable name="month" select="substring($month,6, 2)"/-->
		<xsl:choose>
			<xsl:when test="$year=1">января</xsl:when>
			<xsl:when test="$year=2">февраля</xsl:when>
			<xsl:when test="$year=3">марта</xsl:when>
			<xsl:when test="$year=4">апреля</xsl:when>
			<xsl:when test="$year=5">мая</xsl:when>
			<xsl:when test="$year=6">июня</xsl:when>
			<xsl:when test="$year=7">июля</xsl:when>
			<xsl:when test="$year=8">августа</xsl:when>
			<xsl:when test="$year=9">сентября</xsl:when>
			<xsl:when test="$year=10">октября</xsl:when>
			<xsl:when test="$year=11">ноября</xsl:when>
			<xsl:when test="$year=12">декабря</xsl:when>
		</xsl:choose>&#160;                                                   
        <xsl:value-of select="substring($year, 1, 4)"/>&#160;г.
	</xsl:template>
	<xsl:template name="DO3_month">
		<xsl:param name="month"/>
		<!--xsl:value-of select="substring ($month, 6, 2)"/-->&#160;
        <!--xsl:variable name="month" select="substring(., 6, 2)"/-->
		<xsl:choose>
			<xsl:when test="$month=1">января</xsl:when>
			<xsl:when test="$month=2">февраля</xsl:when>
			<xsl:when test="$month=3">марта</xsl:when>
			<xsl:when test="$month=4">апреля</xsl:when>
			<xsl:when test="$month=5">мая</xsl:when>
			<xsl:when test="$month=6">июня</xsl:when>
			<xsl:when test="$month=7">июля</xsl:when>
			<xsl:when test="$month=8">августа</xsl:when>
			<xsl:when test="$month=9">сентября</xsl:when>
			<xsl:when test="$month=10">октября</xsl:when>
			<xsl:when test="$month=11">ноября</xsl:when>
			<xsl:when test="$month=12">декабря</xsl:when>
		</xsl:choose>&#160;                                                   
	</xsl:template>
	<xsl:template name="DO3R">
		<table border="1" style="width:250mm">
							<tr>
								<td style="width:3mm">&#160;&#160;</td>
								<td colspan="13" align="center" style="width:177mm">
									<b>Приход</b>
								</td>
								<td colspan="5" align="center" style="width:70mm">
									<b>Расход</b>
								</td>
							</tr>
							<tr>
								<!--1-->
								<td style="width:3mm" class="graph">№
								п/п</td>
								<!--2-->
								<td style="width:11mm" class="graph">Дата и время поме-щения на склад</td>
								<!--3-->
								<td style="width:8mm" class="graph">Номер отчета по форме ДО1мв</td>
								<!--4-->
								<td style="width:10mm" class="graph">Поряд-ковый номер товаров в отч-ете по форме ДО1мв</td>
								<!--5-->
								<td style="width:18mm" class="graph">Наиме-нование товара</td>
								<!--6-->
								<td style="width:15mm" class="graph">Вид дата и номер транспортного документа</td>
								<!--7-->
								<td style="width:11mm" class="graph">Склад-ской номер товара</td>
								<!--8-->
								<td style="width:7mm" class="graph">Коли-чество грузовых мест</td>
								<!--9-->
								<td style="width:16mm" class="graph">Вес товара брутто (в кг) или объем товара (в куб.м) (либо в доп. еди-ницах из-мерения) </td>
								<!--10-->
								<td style="width:15mm" class="graph">Код товара в соответствии с ГС или ТН ВЭД</td>
								<!--11-->
								<td style="width:17mm" class="graph">Стоимость товара в валюте указанной в транспортных или коммерческих документах</td>
								<!--12-->
								<td style="width:10mm" class="graph">Буквенный код валюты</td>
								<!--13-->
								<td style="width:12mm" class="graph">Наиме-нование полу-чателя</td>
								<!--14-->
								<td style="width:12mm" class="graph">Дата истечения срока временного хранения</td>
								<!--15-->
								<td style="width:12mm" class="graph">Дата и время выдачи товара со склада</td>
								<!--16-->
								<td style="width:7mm" class="graph">Коли-чество грузовых мест</td>
								<!--17-->
								<td style="width:16mm" class="graph">Вес товара брутто (в кг) или объем товара (в куб.м) (либо в доп. еди-ницах из-мерения) </td>
								<!--18-->
								<td style="width:17mm" class="graph">Стоимость товара в валюте указанной в транспортных или коммерческих документах</td>
								<!--19-->
								<td style="width:17mm" class="graph">Вид,дата и номер документа, по которому разрешена выдача то-варов со склада</td>
							</tr>
							<tr>
								<td align="center">1</td>
								<td align="center">2</td>
								<td align="center">3</td>
								<td align="center">4</td>
								<td align="center">5</td>
								<td align="center">6</td>
								<td align="center">7</td>
								<td align="center">8</td>
								<td align="center">9</td>
								<td align="center">10</td>
								<td align="center">11</td>
								<td align="center">12</td>
								<td align="center">13</td>
								<td align="center">14</td>
								<td align="center">15</td>
								<td align="center">16</td>
								<td align="center">17</td>
								<td align="center">18</td>
								<td align="center" style="width:17mm">19</td>
							</tr>
							<xsl:for-each select="do3r:Goods">
								<xsl:variable name="Output" select="count(do3r:Output)"/>	
									<xsl:for-each select="do3r:Output">
									<xsl:variable name="pos" select="position()"/>
								<tr>
								<xsl:choose>	
											<xsl:when test="$pos=1">
									<!--1 №п/п-->
									<td style="width:3mm" class="graph">
											<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<!--xsl:number value="position()"/-->
										<xsl:value-of select="../do3r:Input/catWH_ru:GoodsNumber"/>
									</td>
									<!-- 2 Дата и время помещения на склад-->
									<td style="width:11mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:call-template name="russian_date">
											<xsl:with-param name="dateIn" select="../do3r:Input/do3r:DO1GoodLink/do3r:DO1Date"/>
										</xsl:call-template>
										<br/>
										<xsl:value-of select="../do3r:Input/do3r:DO1GoodLink/do3r:DO1Time"/>
									</td>
									<!--3 Номер отчета по форме ДО1мв-->
									<td style="width:8mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/do3r:DO1GoodLink/do3r:DO1Number"/>
									</td>
									<!--4 Порядковый номер товаров в отчете по форме ДО1мв-->
									<td style="width:10mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/do3r:DO1GoodLink/do3r:DO1GoodNumber"/>
									</td>
									<!--5 Наименование товара-->
									<td style="width:18mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/catWH_ru:GoodsDescription"/>
									</td>
									<!--6 вид дата и номер транспортного документа-->
									<td style="width:15mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/do3r:TransportDocument/cat_ru:PrDocumentName"/>
										№<xsl:value-of select="../do3r:Input/do3r:TransportDocument/cat_ru:PrDocumentNumber"/>
										от<xsl:call-template name="russian_date"><xsl:with-param name="dateln" select="do3r:Input/do3r:TransportDocument/cat_ru:PrDocumentDate"/></xsl:call-template>
									</td>
									<!--7 складской номер-->
									<td style="width:11mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/do3r:GoodsWHNumber"/>
									</td>
									<!--8 Количество грузовых мест -->
									<td style="width:7mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/catWH_ru:CargoPlace/catWH_ru:PlaceNumber"/>
									</td>
									<!--9  Вес товара брутто (в кг) или объем товара (в куб.м) (либо в доп. единицах измерения)-->
									<td style="width:16mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/catWH_ru:BruttoVolQuant/catWH_ru:GoodsQuantity"/>&#160;
						<xsl:value-of select="../do3r:Input/catWH_ru:BruttoVolQuant/catWH_ru:MeasureUnitQualifierName"/>&#160;
						<xsl:value-of select="../do3r:Input/catWH_ru:BruttoVolQuant/catWH_ru:MeasureUnitQualifierCode"/>
										<br/>
										<xsl:value-of select="../do3r:Input/catWH_ru:MeasureQuantity/catWH_ru:GoodsQuantity"/>&#160;
						<xsl:value-of select="../do3r:Input/catWH_ru:MeasureQuantity/catWH_ru:MeasureUnitQualifierName"/>&#160;
						<xsl:value-of select="../do3r:Input/catWH_ru:MeasureQuantity/catWH_ru:MeasureUnitQualifierCode"/>
									</td>
									<!--10 Код товара ГС или ТН ВЭД-->
									<td style="width:15mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/catWH_ru:GoodsTNVEDCode"/>
									</td>
									<!--11  Стоимость товара в валюте указанной в транспортных или коммерческих документах-->
									<td style="width:17mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/catWH_ru:InvoiceCost"/>
									</td>
									<!--12 Буквенный код валюты-->
									<td style="width:10mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/catWH_ru:CurrencyCode"/>
									</td>
									<!--13 Наименование получателя-->
									<td style="width:12mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:value-of select="../do3r:Input/do3r:Recipient/cat_ru:OrganizationName"/>
									</td>
									<!--14 Дата окончания временного хранения-->
									<td style="width:12mm" class="graph">
									<xsl:attribute name="rowspan">
													<xsl:value-of select="$Output"/>
												</xsl:attribute>
										<xsl:call-template name="russian_date">
											<xsl:with-param name="dateIn" select="../do3r:Input/do3r:KeepingLimit/do3r:DeadLineDate"/>
										</xsl:call-template>
									</td>
									</xsl:when>
									<!--xsl:otherwise><td><xsl:text disable-output-escaping="yes"> </xsl:text></td></xsl:otherwise-->
									</xsl:choose>
									<!--15 Дата и время выдачи товара со склада-->
									<td style="width:12mm" class="graph">
										<xsl:call-template name="russian_date">
											<xsl:with-param name="dateIn" select="do3r:OutputDate"/>
										</xsl:call-template>
										<br/>
										<xsl:value-of select="do3r:OutputTime"/>
									</td>
									<!--16 Количество грузовых мест -->
									<td style="width:17mm" class="graph">
										<xsl:value-of select="do3r:CargoPlace/catWH_ru:PlaceNumber"/>
									</td>
									<!--17 Вес товара брутто (в кг) или объем товара (в куб.м) (либо в доп. единицах измерения)-->
									<td style="width:16mm" class="graph">
										<xsl:value-of select="do3r:BruttoVolQuant/catWH_ru:GoodsQuantity"/>&#160;
						<xsl:value-of select="do3r:BruttoVolQuant/catWH_ru:MeasureUnitQualifierName"/>&#160;
						<xsl:value-of select="do3r:BruttoVolQuant/catWH_ru:MeasureUnitQualifierCode"/>
										<br/>
										<xsl:value-of select="do3r:Output/do3r:MeasureQuantity/catWH_ru:GoodsQuantity"/>&#160;
						<xsl:value-of select="do3r:MeasureQuantity/catWH_ru:MeasureUnitQualifierName"/>&#160;
						<xsl:value-of select="do3r:MeasureQuantity/catWH_ru:MeasureUnitQualifierCode"/>
									</td>
									<!--18  Стоимость товара в валюте указанной в транспортных или коммерческих документах-->
									<td style="width:17mm" class="graph">
										<xsl:value-of select="do3r:Cost"/>&#160;
						<xsl:value-of select="do3r:CurrencyCode"/>
									</td>
									<!--19 Вид,дата и номер документа, по которому разрешена выдача товаров со склада-->
									<td style="width:17mm" class="graph">
										<xsl:value-of select="do3r:OrderCustDoc/cat_ru:PrDocumentName"/>
										<br/>
										<xsl:value-of select="do3r:OrderCustDoc/cat_ru:PrDocumentNumber"/>
										<br/>
										<xsl:call-template name="russian_date">
											<xsl:with-param name="dateIn" select="do3r:OrderCustDoc/cat_ru:PrDocumentDate"/>
										</xsl:call-template>
									</td>
								</tr>
								</xsl:for-each>
							</xsl:for-each>
						</table>
	</xsl:template>
	<xsl:template name="DO3R_title">
		<table width="270mm">
			<tbody>
				<tr align="center">
					<td>
						<b>Отчетность по разовому требованию таможенного органа от </b>
						<u>
							<xsl:call-template name="russian_date">
								<xsl:with-param name="dateIn" select="do3r:ReportDate"/>
							</xsl:call-template>
						</u>
						<b> № </b>
						<u>
							<xsl:value-of select="do3r:ReportNumber"/>&#160;</u>
						
					&#160;<br/>
						<b>о товарах, помещенных на склад и выданных с него</b>
						<br/>
						<b>c</b>&#160;<u>
							<xsl:call-template name="russian_date">
								<xsl:with-param name="dateIn" select="do3r:ReportBegingDate"/>
							</xsl:call-template>&#160;</u>
						<b>по</b>
					&#160;<u>
							<xsl:call-template name="russian_date">
								<xsl:with-param name="dateIn" select="do3r:ReportEndDate"/>
							</xsl:call-template>
						</u>
					</td>
				</tr>
			</tbody>
		</table>
	</xsl:template>
	<xsl:template name="DO3Radd">
		<tr>
			<td align="center">
				<b>Добавочный лист №</b>
				<u>
					<xsl:value-of select="do3r:AddedListNumber"/>
					<xsl:text>  </xsl:text>
				</u>
				<b>к отчетности по разовому требованию таможенного органаот</b>
				<u>
					<xsl:value-of select="catWH_ru:ReportDate"/>
					<xsl:text>  </xsl:text>
				</u> <b> №</b>
				<u>
					<xsl:value-of select="catWH_ru:ReportNumber"/>
					<xsl:text>  </xsl:text>
				</u>
				
				<b>о товарах, помещенных на склад и выданных с него</b>
				<b>c</b>&#160;<u>
							<xsl:call-template name="russian_date">
								<xsl:with-param name="dateIn" select="do3r:ReportBegingDate"/>
							</xsl:call-template>&#160;</u>
						<b>по</b>
					&#160;<u>
							<xsl:call-template name="russian_date">
								<xsl:with-param name="dateIn" select="do3r:ReportEndDate"/>
							</xsl:call-template>
						</u>
				<br/>
				<br/>
			</td>
		</tr>
		<br/>
		<tr>
			<td>
				<table width="270mm">
			<tbody>
				<tr>
					<td>
						<table border="1" width="250mm">
							<tr>
								<td>&#160;&#160;</td>
								<td colspan="13" align="center">
									<b>Приход</b>
								</td>
								<td colspan="5" align="center">
									<b>Расход</b>
								</td>
							</tr>
							<tr>
								<!--1-->
								<td style="width:5mm">№п/п</td>
								<!--2-->
								<td style="width:11mm">Дата и время поме-щения на склад</td>
								<!--3-->
								<td style="width:8mm">Номер отчета по форме ДО1мв</td>
								<!--4-->
								<td style="width:10mm">Поряд-ковый номер товаров в отч-ете по форме ДО1мв</td>
								<!--5-->
								<td style="width:18mm">Наиме-нование товара</td>
								<!--6-->
								<td style="width:15mm">Вид дата и номер транспортного документа</td>
								<!--7-->
								<td style="width:11mm">Склад-ской номер товара</td>
								<!--8-->
								<td style="width:7mm">Коли-чество грузовых мест</td>
								<!--9-->
								<td style="width:16mm">Вес товара брутто (в кг) или объем товара (в куб.м) (либо в доп. еди-ницах из-мерения) </td>
								<!--10-->
								<td style="width:15mm">Код товара в соответствии с ГС или ТН ВЭД</td>
								<!--11-->
								<td style="width:17mm">Стоимость товара в валюте указанной в транспортных или коммерческих документах</td>
								<!--12-->
								<td style="width:10mm">Буквенный код валюты</td>
								<!--13-->
								<td style="width:12mm">Наиме-нование полу-чателя</td>
								<!--14-->
								<td style="width:12mm">Дата истечения срока временного хранения</td>
								<!--15-->
								<td style="width:12mm">Дата и время выдачи товара со склада</td>
								<!--16-->
								<td style="width:7mm">Коли-чество грузовых мест</td>
								<!--17-->
								<td style="width:16mm">Вес товара брутто (в кг) или объем товара (в куб.м) (либо в доп. еди-ницах из-мерения) </td>
								<!--18-->
								<td style="width:17mm">Стоимость товара в валюте указанной в транспортных или коммерческих документах</td>
								<!--19-->
								<td style="width:17mm">Вид,дата и номер документа, по которому разрешена выдача то-варов со склада</td>
							</tr>
							<tr>
								<td align="center">1</td>
								<td align="center">2</td>
								<td align="center">3</td>
								<td align="center">4</td>
								<td align="center">5</td>
								<td align="center">6</td>
								<td align="center">7</td>
								<td align="center">8</td>
								<td align="center">9</td>
								<td align="center">10</td>
								<td align="center">11</td>
								<td align="center">12</td>
								<td align="center">13</td>
								<td align="center">14</td>
								<td align="center">15</td>
								<td align="center">16</td>
								<td align="center">17</td>
								<td align="center">18</td>
								<td align="center">19</td>
							</tr>
							<xsl:for-each select="do3r:Goods">
								<tr>
									<!--1 №п/п-->
									<td>
										<xsl:number value="position()"/>
									</td>
									<!-- 2 Дата и время помещения на склад-->
									<td>
										<xsl:call-template name="russian_date">
											<xsl:with-param name="dateIn" select="do3r:Input/do3r:DO1GoodLink/do3r:DO1Date"/>
										</xsl:call-template>
										<br/>
										<xsl:value-of select="do3r:Input/do3r:DO1GoodLink/do3r:DO1Time"/>
									</td>
									<!--3 Номер отчета по форме ДО1мв-->
									<td>
										<xsl:value-of select="do3r:Input/do3r:DO1GoodLink/do3r:DO1Number"/>
									</td>
									<!--4 Порядковый номер товаров в отчете по форме ДО1мв-->
									<td>
										<xsl:value-of select="do3r:Input/do3r:DO1GoodLink/do3r:DO1GoodNumber"/>
									</td>
									<!--5 Наименование товара-->
									<td>
										<xsl:value-of select="do3r:Input/catWH_ru:GoodsDescription"/>
									</td>
									<!--6 вид дата и номер транспортного документа-->
									<td>
										<xsl:value-of select="do3r:Input/do3r:TransportDocument/cat_ru:PrDocumentName"/>
										№<xsl:value-of select="do3r:Input/do3r:TransportDocument/cat_ru:PrDocumentNumber"/>
										от<xsl:call-template name="russian_date"><xsl:with-param name="dateln" select="do3r:Input/do3r:TransportDocument/cat_ru:PrDocumentDate"/></xsl:call-template>
									</td>
									<!--7 складской номер-->
									<td>
										<xsl:value-of select="do3r:Input/do3r:GoodsWHNumber"/>
									</td>
									<!--8 Количество грузовых мест -->
									<td>
										<xsl:value-of select="do3r:Input/catWH_ru:CargoPlace/catWH_ru:PlaceNumber"/>
									</td>
									<!--9  Вес товара брутто (в кг) или объем товара (в куб.м) (либо в доп. единицах измерения)-->
									<td>
										<xsl:value-of select="do3r:Input/catWH_ru:BruttoVolQuant/catWH_ru:GoodsQuantity"/>&#160;
						<xsl:value-of select="do3r:Input/catWH_ru:BruttoVolQuant/catWH_ru:MeasureUnitQualifierName"/>&#160;
						<xsl:value-of select="do3r:Input/catWH_ru:BruttoVolQuant/catWH_ru:MeasureUnitQualifierCode"/>
										<br/>
										<xsl:value-of select="do3r:Input/catWH_ru:MeasureQuantity/catWH_ru:GoodsQuantity"/>&#160;
						<xsl:value-of select="do3r:Input/catWH_ru:MeasureQuantity/catWH_ru:MeasureUnitQualifierName"/>&#160;
						<xsl:value-of select="do3r:Input/catWH_ru:MeasureQuantity/catWH_ru:MeasureUnitQualifierCode"/>
									</td>
									<!--10 Код товара ГС или ТН ВЭД-->
									<td>
										<xsl:value-of select="do3r:Input/catWH_ru:GoodsTNVEDCode"/>
									</td>
									<!--11  Стоимость товара в валюте указанной в транспортных или коммерческих документах-->
									<td>
										<xsl:value-of select="do3r:Input/catWH_ru:InvoiceCost"/>
									</td>
									<!--12 Буквенный код валюты-->
									<td>
										<xsl:value-of select="do3r:Input/catWH_ru:CurrencyCode"/>
									</td>
									<!--13 Наименование получателя-->
									<td>
										<xsl:value-of select="do3r:Input/do3r:Recipient/cat_ru:OrganizationName"/>
									</td>
									<!--14 Дата окончания временного хранения-->
									<td>
										<xsl:call-template name="russian_date">
											<xsl:with-param name="dateIn" select="do3r:Input/do3r:KeepingLimit/do3r:DeadLineDate"/>
										</xsl:call-template>
									</td>
									<!--15 Дата и время выдачи товара со склада-->
									<td>
										<xsl:call-template name="russian_date">
											<xsl:with-param name="dateIn" select="do3r:Output/do3r:OutputDate"/>
										</xsl:call-template>
										<br/>
										<xsl:value-of select="do3r:Output/do3r:OutputTime"/>
									</td>
									<!--16 Количество грузовых мест -->
									<td>
										<xsl:value-of select="do3r:Output/do3r:CargoPlace/catWH_ru:PlaceNumber"/>
									</td>
									<!--17 Вес товара брутто (в кг) или объем товара (в куб.м) (либо в доп. единицах измерения)-->
									<td>
										<xsl:value-of select="do3r:Output/do3r:BruttoVolQuant/catWH_ru:GoodsQuantity"/>&#160;
						<xsl:value-of select="do3r:Output/do3r:BruttoVolQuant/catWH_ru:MeasureUnitQualifierName"/>&#160;
						<xsl:value-of select="do3r:Output/do3r:BruttoVolQuant/catWH_ru:MeasureUnitQualifierCode"/>
										<br/>
										<xsl:value-of select="do3r:Output/do3r:MeasureQuantity/catWH_ru:GoodsQuantity"/>&#160;
						<xsl:value-of select="do3r:Output/do3r:MeasureQuantity/catWH_ru:MeasureUnitQualifierName"/>&#160;
						<xsl:value-of select="do3r:Output/do3r:MeasureQuantity/catWH_ru:MeasureUnitQualifierCode"/>
									</td>
									<!--18  Стоимость товара в валюте указанной в транспортных или коммерческих документах-->
									<td>
										<xsl:value-of select="do3r:Output/do3r:Cost"/>&#160;
						<xsl:value-of select="do3r:Output/do3r:CurrencyCode"/>
									</td>
									<!--19 Вид,дата и номер документа, по которому разрешена выдача товаров со склада-->
									<td>
										<xsl:value-of select="do3r:Output/do3r:OrderCustDoc/cat_ru:PrDocumentName"/>
										<br/>
										<xsl:value-of select="do3r:Output/do3r:OrderCustDoc/cat_ru:PrDocumentNumber"/>
										<br/>
										<xsl:call-template name="russian_date">
											<xsl:with-param name="dateIn" select="do3r:Output/do3r:OrderCustDoc/cat_ru:PrDocumentDate"/>
										</xsl:call-template>
									</td>
								</tr>
							</xsl:for-each>
						</table>
					</td>
				</tr>
			</tbody>
		</table>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="SignatureAndSheets">
		<table width="250mm">
			<tr>
				<td style="width:135mm">Количество добавочных листов отчета
					<xsl:value-of select="do3r:AddedListsCount"/>
				</td>
				<td>
					<xsl:call-template name="russian_date">
						<xsl:with-param name="dateIn" select="catWH_ru:ReportDate"/>
					</xsl:call-template>
				</td>
				<td>
					<xsl:value-of select="catWH_ru:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonSurname"/>&#160;
					<xsl:value-of select="catWH_ru:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonName"/>&#160;
					<xsl:value-of select="catWH_ru:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonMiddleName"/>&#160;
					<xsl:value-of select="catWH_ru:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonPost"/>&#160;
				</td>
			</tr>
			<tr align="right">
				<td>
				</td>
				<td>(дата)
				</td>
				<td>(подпись, инициалы, фамилия, и должность уполномоченного работника склада)
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="Signature">
		<table width="250mm">
			<!--tr align="right">
					<td style="width:185mm">
					</td>
					<td>
						<xsl:call-template name="russian_date">
							<xsl:with-param name="dateIn" select="catWH_ru:ReportDate"/>
						</xsl:call-template>
					</td>
					<td>
						<xsl:value-of select="catWH_ru:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonSurname"/>&#160;
						<xsl:value-of select="catWH_ru:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonName"/>&#160;
						<xsl:value-of select="catWH_ru:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonMiddleName"/>&#160;
						<xsl:value-of select="catWH_ru:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonPost"/>&#160;
					</td>
				</tr>
				<tr  align="right">
					<td>
					</td>
					<td>(дата)
					</td>
					<td>(подпись, инициалы, фамилия, и должность уполномоченного работника склада)
					</td>
				</tr-->
			<tbody>
				<tr>
					<td class="underlined" align="center">
						<xsl:call-template name="russian_date">
							<xsl:with-param name="dateIn" select="do3r:ReportDate"/>
						</xsl:call-template>
					</td>
					<td class="underlined" align="center">
						<xsl:value-of select="do3r:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonName"/>
						<xsl:text> </xsl:text>&#160;
						<xsl:value-of select="do3r:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonMiddleName"/>
						<xsl:text> </xsl:text>&#160;
						<xsl:value-of select="do3r:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonSurname"/>&#160;
						<xsl:if test="do3r:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonPost">
							<xsl:value-of select="do3r:WarehouseOwner/catWH_ru:WarehousePerson/cat_ru:PersonPost"/>&#160;
						</xsl:if>
					</td>
				</tr>
				<tr>
					<td class="graph" align="center">(дата)</td>
					<td class="graph" align="center">(подпись, инициалы, фамилия и должность уполномоченного работника склада)</td>
				</tr>
			</tbody>
		</table>
	</xsl:template>
	<xsl:template match="do3r:DO3Report">
		<html>
			<head>
				<title>DO3Report</title>
				<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
				<style type="text/css">
					body {	text-align: center; background: #cccccc; }
					table { border: 0; cellpadding: 0; cellspacing: 0; width:100%; border-collapse: collapse; }
					td { font-size: 10.0pt; font-family: Arial, sans-serif; color: windowtext; font-weight: 400; font-style: normal; text-decoration: none; text-align: general; vertical-align: top; white-space: nowrap; padding-left:4pt }
					td.bold { font-size: 10.0pt; font-family: Arial, sans-serif; color: windowtext; font-weight: 700; font-style: normal; text-decoration: none; text-align: general; vertical-align: bottom; white-space: nowrap; }					
					td.value { font-size: 8.0pt; font-family: Courier; color: windowtext; font-weight: 400; font-style: normal; text-decoration: none; text-align: general; vertical-align: top; white-space: nowrap; }
					td.border-left { border-left: medium none; border-right: .5pt solid black; }
					td.border { border-left: .5pt solid windowtext; border-right: .5pt solid windowtext; border-top: .5pt solid windowtext; border-bottom: .5pt solid windowtext; }
					td.border-left { border-left: .5pt solid windowtext; border-right: medium none; border-top: medium none; border-bottom: medium none; } 
					td.border-right { border-left: medium none; border-right: .5pt solid windowtext; border-top: medium none; border-bottom: medium none; } 
					td.border-top { border-left: medium none; border-right: medium none; border-top: .5pt solid windowtext; border-bottom: medium none; } 
					td.border-bottom { border-left: medium none; border-right: medium none; border-top: medium none; border-bottom: .5pt solid windowtext; } 
					td.border-top-bottom { border-left: medium none; border-right: medium none; border-top: .5pt solid windowtext; border-bottom: .5pt solid windowtext; } 
					td.border-top-right { border-left: medium none; border-right: .5pt solid windowtext; border-top: .5pt solid windowtext; border-bottom: medium none; } 
					td.border-top-right-bottom { border-left: medium none; border-right: .5pt solid windowtext; border-top: .5pt solid windowtext; border-bottom: .5pt solid windowtext; }
					td.border-left-right-bottom { border-left: .5pt solid windowtext; border-right: .5pt solid windowtext; border-top: medium none; border-bottom: .5pt solid windowtext; }
					td.border-right-bottom { border-left: medium none; border-right: .5pt solid windowtext; border-top: medium none; border-bottom: .5pt solid windowtext; }
					td.border-left-bottom { border-left: .5pt solid windowtext; border-right: medium none; border-top: medium none; border-bottom: .5pt solid windowtext; }
					td.border-left-right { border-left: .5pt solid windowtext; border-right: .5pt solid windowtext; border-top: medium none; border-bottom: medium none; }
					span.bold { font-size: 12.0pt; font-family: Arial, sans-serif; color: windowtext; font-weight: 700; font-style: normal; }					
					span.value { font-size: 12.0pt; font-family: Courier; color: windowtext; }
					div.page { width: 297mm; height: 210mm; margin-top: 6pt; margin-bottom: 6pt; padding:	10mm; padding-left:	20mm; background: #ffffff; border: solid 1pt #000000; }
					p.number-date { font-weight: bold; }
					.bordered {	border: solid 1pt #000000; padding-top:4pt; padding-bottom:4pt; }
					.underlined { border-bottom: solid 0.5pt #000000; }
					.graph { font-family: Arial; font-size: 8pt; }
					.graph-number { font-size: 9pt; font-weight: bold; }
				</style>
			</head>
			<body>
				<div class="page">
					<table border="0" cellpadding="3" cellspacing="0" style="width:270mm">
						<tr>
							<td style="width:297mm">
								<table border="0" cellpadding="3" cellspacing="0" style="width:297mm">
									<tbody>
										<!--Информация о СВХ (верхний левый угол)-->
										<tr>
											<td style="width:297mm">
												<table border="0" cellpadding="3" cellspacing="0" style="width:297mm">
													<tr>
														<td height="30mm" rowspan="3" style="width:160mm;border:solid 1pt #000000;" align="center">
															<b>СВХ </b>
															<u>
																<xsl:value-of select="do3r:WarehouseOwner/cat_ru:OrganizationName"/>
															</u>
															<br/>
															<b> Свидетельство о включении в реестр владельцев СВХ от </b>
															<u>
																<xsl:if test="do3r:WarehouseOwner/catWH_ru:WarehouseLicense/catWH_ru:CertificateDate">
																	<xsl:call-template name="russian_date">
																		<xsl:with-param name="dateIn" select="do3r:WarehouseOwner/catWH_ru:WarehouseLicense/catWH_ru:CertificateDate"/>
																	</xsl:call-template>
																</xsl:if>
															</u>
															<b> № </b>
															<u>
																<xsl:value-of select="do3r:WarehouseOwner/catWH_ru:WarehouseLicense/catWH_ru:CertificateNumber"/>
															</u>
															<br/>
															<span class="graph">(при хранении товаров в ином месте временного хранения указывается номер разрешения таможни)</span>
														</td>
														<td style="width:100mm"/>
														<td rowspan="1" style="width:23mm;border:solid 1pt #000000;">
															<b>Форма ДО3</b>
														</td>
													</tr>
													<tr/>
													<tr/>
												</table>
											</td>
										</tr>
										<br/>
										<br/>
										<!--Тело документа -->
										<tr>
											<td style="width:297mm">
												<table style="width:297mm">
													<tbody>
														<tr>
															<td style="width:297mm" align="center">
																<xsl:call-template name="DO3R_title"/>
																<br/>
																<br/>
															</td>
														</tr>
														<tr>
															<td style="width:250mm">
																<xsl:call-template name="DO3R"/>
																<br/>
																<br/>
															</td>
														</tr>
														<tr align="right">
															<td align="right" style="width:297mm">
																<xsl:call-template name="Signature"/>
																<br/>
																<br/>
															</td>
														</tr>
														<!--tr>
															<td>
																<xsl:call-template name="DO3Radd"/>
																<br/>
																<br/>
															</td>
														</tr>
														<tr align="right">
															<td align="right" style="width:180mm;">
																<xsl:call-template name="Signature"/>
															</td>
														</tr-->
													</tbody>
												</table>
											</td>
										</tr>
									</tbody>
								</table>
							</td>
						</tr>
					</table>
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
