<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:whdi="urn:customs.ru:Information:WarehouseDocuments:WHDocInventory:5.0.7" xmlns:cat_ru="urn:customs.ru:CommonAggregateTypes:5.0.7" xmlns:catWH_ru="urn:customs.ru:Information:WarehouseDocuments:WarehouseCommonAggregateTypesCust:5.0.7" exclude-result-prefixes="whdi cat_ru catWH_ru">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template name="russian_date">
		<xsl:param name="dateIn"/>
		<xsl:choose>
			<xsl:when test="substring($dateIn,5,1)='-' and substring($dateIn,8,1)='-'">
				<xsl:value-of select="substring($dateIn,9,2)"/>.<xsl:value-of select="substring($dateIn,6,2)"/>.<xsl:value-of select="substring($dateIn,1,4)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$dateIn"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="russian_date_gtd">
		<xsl:param name="dateIn"/>
		<xsl:choose>
			<xsl:when test="substring($dateIn,5,1)='-' and substring($dateIn,8,1)='-'">
				<xsl:value-of select="substring($dateIn,9,2)"/>
				<xsl:value-of select="substring($dateIn,6,2)"/>
				<xsl:value-of select="substring($dateIn,3,2)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$dateIn"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="whdi:WHDocInventory">
		<html>
			<head>
				<title>Предоставление описи документов таможенному органу, осуществляющему контроль за функционированием СВХ./Перечень электронных документов</title>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
				<style type="text/css">
                    body {background: #CCCCCC; font-size: 9pt;}
                    div.page {
                        width: 210mm;
                        margin: 10px auto;
                        padding: 5mm 10mm;
                        background: white;
                        border: solid 1px black;
                        page-break-before: always;
                    }
                    /*Стиль для удаления чёрной границы вокруг нарисованной "страницы" при печати*/
                    @media print {div.page {border: none; margin: 0; padding: 0;}}
                    div.goods {background: white;}
                    .bordered {
                        border: solid 1px black;
                        padding-top: 4pt;
                        padding-bottom: 4pt;
                        font-family: Arial;
                        font-size: 9pt;
                        font-weight: bold;
                    }
                    .underlined {border-bottom: solid 0.5pt black;}
                    p.NumberDate {font-weight: bold;}
                    .graph {font-family: Arial; font-size: 7pt;}
                    .graphColumn {font-family: Arial; font-size: 6.5pt;}
                    .graphTitleIt {font-family: Arial; font-size: 7pt; font-style: italic;}
                    .graphMain {font-family: Arial; font-size: 9pt; font-weight: bold; }
                    .graphNum {font-family: Arial; font-size: 7pt; font-weight: bold;}
                    .graphNo {font-size: 7pt; font-weight: bold;}
                    h1{font-size: 12pt;}
                    table.addInfo {border-collapse: collapse; vertical-align: top;}
                    table.addInfo th {border: 1px solid black; background-color: LightGrey;}
                    table.addInfo td {border: 1px solid black; vertical-align: top;}
                    hr {border: 0; border-bottom: 1px solid black; margin: 0;}
                    .tr {border-right: 1px solid black;}
                    .tl {border-left: 1px solid black;}
                    .tb {border-bottom: 1px solid black;}
                    .tt {border-top: 1px solid black;}
                    .br {border-right: 2px solid black;}
                    .bl {border-left: 2px solid black;}
                    .bb {border-bottom: 2px solid black;}
                    .bt {border-top: 2px solid black;}
                    .db {border-bottom: 1px dashed black;}
                    .dl {border-left: 1px dashed black;}
                    .number {
                        text-align: center;
                        color: black;
                        font-size: 11pt;
                        font-weight: bold;
                        vertical-align: middle;
                    }
                </style>
			</head>
			<body>
				<div class="page">
					<table style="width:100%;border:solid 0pt #000000;" cellpadding="0" cellspacing="0">
						<tbody>
							<tr>
								<td style="width:180mm;" class="graphMain" align="center">
								ОПИСЬ ДОКУМЕНТОВ<br/>
									<xsl:if test="whdi:RegNumberDoc">
									№ ДТ 
									<u>
											<xsl:value-of select="whdi:RegNumberDoc/cat_ru:CustomsCode"/>
											<xsl:text> / </xsl:text>
											<xsl:call-template name="russian_date_gtd">
												<xsl:with-param name="dateIn" select="whdi:RegNumberDoc/cat_ru:RegistrationDate"/>
											</xsl:call-template>
											<xsl:text> / </xsl:text>
											<xsl:value-of select="whdi:RegNumberDoc/cat_ru:GTDNumber"/>
										</u>
										<br/>
									</xsl:if>
								</td>
							</tr>
							<tr>
								<td style="width:180mm;" class="graph">
									<br/>
									<table style="width:100%;border:solid 0.5pt #000000;" cellpadding="0" cellspacing="0">
										<tbody>
											<tr>
												<td style="width:10mm;border:solid 0.5pt #000000;" class="graph" align="center">№ п/п</td>
												<td style="width:25mm;border:solid 0.5pt #000000;" class="graph" align="center">Код вида документа</td>
												<td style="width:60mm;border:solid 0.5pt #000000;" class="graph" align="center">Номер и дата документа</td>
												<td style="width:20mm;border:solid 0.5pt #000000;" class="graph" align="center">Количество листов </td>
												<td style="width:75mm;border:solid 0.5pt #000000;" class="graph" align="center">Примечание </td>
											</tr>
											<xsl:for-each select="whdi:InventDocument">
												<tr>
													<td style="width:10mm;border:solid 0.5pt #000000;" class="graph" align="center">
														<xsl:value-of select="position()"/>
													</td>
													<td style="width:25mm;border:solid 0.5pt #000000;" class="graph" align="center">
														<xsl:value-of select="whdi:InvDocCode"/>
													</td>
													<td style="width:60mm;border:solid 0.5pt #000000;" class="graph" align="center">
														<xsl:value-of select="whdi:InvDocNumber"/>
														<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
														<xsl:call-template name="russian_date">
															<xsl:with-param name="dateIn" select="whdi:InvDocDate"/>
														</xsl:call-template>
													</td>
													<td style="width:20mm;border:solid 0.5pt #000000;" class="graph" align="center">
														<xsl:value-of select="whdi:InvDocLists"/>
													</td>
													<td style="width:75mm;border:solid 0.5pt #000000;" class="graph">
														<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
														<xsl:if test="whdi:Note">
															<xsl:value-of select="whdi:Note"/>
															<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
														</xsl:if>
													</td>
												</tr>
											</xsl:for-each>
										</tbody>
									</table>
								</td>
							</tr>
							<tr>
								<td style="width:180mm;" class="graph">
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
								</td>
							</tr>
							<tr>
								<td style="width:180mm;" class="graph">
									<br/>		
									<u> Отправитель: </u>
									<br/>
									<xsl:for-each select="whdi:Sender/whdi:Carrier">
										<xsl:value-of select="cat_ru:OrganizationName"/>
										<xsl:if test="cat_ru:ShortName">
											<span class="graph">(</span>
											<xsl:value-of select="cat_ru:ShortName"/>
											<span class="graph">)</span>
										</xsl:if>
										<xsl:if test="(cat_ru:RFOrganizationFeatures) or (cat_ru:RBOrganizationFeatures) or (cat_ru:RKOrganizationFeatures)">
											<br/>
											<xsl:text>№ </xsl:text>
											<xsl:if test="cat_ru:RKOrganizationFeatures/cat_ru:ITN">ИТН: 
												<xsl:value-of select="cat_ru:RKOrganizationFeatures/cat_ru:ITN/cat_ru:CategoryCode"/>/
													<xsl:value-of select="cat_ru:RKOrganizationFeatures/cat_ru:ITN/cat_ru:KATOCode"/>/
													<xsl:value-of select="cat_ru:RKOrganizationFeatures/cat_ru:ITN/cat_ru:RNN"/>/
													<xsl:value-of select="cat_ru:RKOrganizationFeatures/cat_ru:ITN/cat_ru:ITNReserv"/>
											</xsl:if>
											<xsl:if test="cat_ru:RFOrganizationFeatures/cat_ru:OGRN">ОГРН: 
												<xsl:value-of select="cat_ru:RFOrganizationFeatures/cat_ru:OGRN"/>
											</xsl:if>
											<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
											<xsl:if test="cat_ru:RBOrganizationFeatures/cat_ru:UNP">УНП:
													<xsl:value-of select="cat_ru:RBOrganizationFeatures/cat_ru:UNP"/>
												<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
											</xsl:if>
											<xsl:if test="cat_ru:RKOrganizationFeatures/cat_ru:BIN">БИН:
													<xsl:value-of select="cat_ru:RKOrganizationFeatures/cat_ru:BIN"/>
												<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
											</xsl:if>
											<xsl:if test="cat_ru:RKOrganizationFeatures/cat_ru:IIN">ИИН:
													<xsl:value-of select="cat_ru:RKOrganizationFeatures/cat_ru:IIN"/>
												<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
											</xsl:if>
											<xsl:if test="cat_ru:RFOrganizationFeatures/cat_ru:INN">ИНН:
													<xsl:value-of select="cat_ru:RFOrganizationFeatures/cat_ru:INN"/>
												<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
											</xsl:if>
											<xsl:if test="cat_ru:RFOrganizationFeatures/cat_ru:KPP">
												<xsl:text> / КПП: </xsl:text>
												<xsl:value-of select="cat_ru:RFOrganizationFeatures/cat_ru:KPP"/>
												<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
											</xsl:if>
										</xsl:if>
										<xsl:if test="whdi:Driver">
											<br/>
											Водитель: 
											<xsl:value-of select="whdi:Driver/cat_ru:PersonSurname"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="whdi:Driver/cat_ru:PersonName"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="whdi:Driver/cat_ru:PersonMiddleName"/>
											<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
											<xsl:value-of select="whdi:Driver/cat_ru:PersonPost"/>
										</xsl:if>
									</xsl:for-each>
									<xsl:for-each select="whdi:Sender/whdi:Customs">
										<xsl:value-of select="cat_ru:Code"/>
										<xsl:text> </xsl:text>
										<xsl:value-of select="cat_ru:OfficeName"/>
										<xsl:if test="whdi:CustomsPerson">
											<br/>
											Должностное лицо:
											<xsl:value-of select="whdi:CustomsPerson/cat_ru:PersonSurname"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="whdi:CustomsPerson/cat_ru:PersonName"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="whdi:CustomsPerson/cat_ru:PersonMiddleName"/>
											<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
											<xsl:value-of select="whdi:CustomsPerson/cat_ru:PersonPost"/>
											<xsl:text> </xsl:text>
											ЛНП: <xsl:value-of select="whdi:CustomsPerson/catWH_ru:LNP"/>
										</xsl:if>
									</xsl:for-each>
									<br/>
									<u> Получатель: </u>
									<br/>									
									<xsl:for-each select="whdi:Receiver/whdi:Customs">
										<xsl:value-of select="cat_ru:Code"/>
										<xsl:text> </xsl:text>
										<xsl:value-of select="cat_ru:OfficeName"/>
										<xsl:if test="whdi:CustomsPerson">
											<br/>
											Должностное лицо:
											<xsl:value-of select="whdi:CustomsPerson/cat_ru:PersonSurname"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="whdi:CustomsPerson/cat_ru:PersonName"/>
											<xsl:text> </xsl:text>
											<xsl:value-of select="whdi:CustomsPerson/cat_ru:PersonMiddleName"/>
											<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
											<xsl:value-of select="whdi:CustomsPerson/cat_ru:PersonPost"/>
											<xsl:text> </xsl:text>
											ЛНП: <xsl:value-of select="whdi:CustomsPerson/catWH_ru:LNP"/>
										</xsl:if>
									</xsl:for-each>
									<xsl:for-each select="whdi:Receiver/whdi:SVH">
										<xsl:if test="whdi:DocumentModeCode"> Код вида документа: 
											<xsl:value-of select="whdi:DocumentModeCode"/>
										</xsl:if>
										<xsl:text> № документа </xsl:text>
										<xsl:value-of select="whdi:DocumentNumber"/>
										<xsl:if test="whdi:DO1PresentDocumentDate"> Дата предоставления ДО1: 
											<xsl:call-template name="russian_date">
												<xsl:with-param name="dateIn" select="whdi:DO1PresentDocumentDatee"/>
											</xsl:call-template>
										</xsl:if>
										<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
										<xsl:value-of select="whdi:DO1PresentDocumentTime"/>
									</xsl:for-each>
									<br/>
								</td>
							</tr>
							<tr>
								<td>
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
								</td>
							</tr>
							<tr>
								<br>
									<td style="width:180mm;" class="graph">
								Дата
									<u>
											<xsl:call-template name="russian_date">
												<xsl:with-param name="dateIn" select="whdi:InventoryInstanceDate"/>
											</xsl:call-template>
										</u>
									</td>
								</br>
							</tr>
							<tr>
								<td>
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
								</td>
							</tr>
							<tr>
								<td style="width:180mm;" class="graph">
								Подпись<text>__________________</text>
								</td>
							</tr>
							<tr>
								<td/>
							</tr>
						</tbody>
					</table>
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
